net.sf.jasperreports.engine

## Interface JRPen

- All Known Subinterfaces:
    JRBoxPen
  All Known Implementing Classes:
    JRBaseBoxBottomPen, JRBaseBoxLeftPen, JRBaseBoxPen, JRBaseBoxRightPen, JRBaseBoxTopPen, JRBasePen

      public interface JRPen

  This interface is used to customize line settings such as width, style and color. This is useful for drawing graphic elements as well as drawing borders around text elements and images.

  ### Line Width

  The `lineWidth` attribute represents the width of the line measured in points. Can be accessed using the `getLineWidth()` method.

  ### Line Style

  The `lineStyle` attribute represents the line style and has one of the following predefined values (see `getLineStyleValue()`):
  - `Solid`
  - `Dashed`
  - `Dotted`
  - `Double`

  ### Line Color

  The `lineColor` attribute represents the color of the line. Can be accessed using the `getLineColor()` method.
  Version:
    $Id: JRPen.java 7045 2014-04-24 14:20:46Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Float` | `LINE_WIDTH_0`
    `static java.lang.Float` | `LINE_WIDTH_1`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPen` | `clone(JRPenContainer penContainer)`
    `java.awt.Color` | `getLineColor()` Gets the line color.
    `LineStyleEnum` | `getLineStyleValue()` Indicates the line style used for this pen.
    `java.lang.Float` | `getLineWidth()` Gets the line width used for this pen.
    `java.awt.Color` | `getOwnLineColor()`
    `LineStyleEnum` | `getOwnLineStyleValue()` Indicates the line style used for this pen.
    `java.lang.Float` | `getOwnLineWidth()`
    `JRStyleContainer` | `getStyleContainer()`
    `void` | `setLineColor(java.awt.Color color)` Sets the line color.
    `void` | `setLineStyle(LineStyleEnum lineStyleEnum)` Specifies the line style.
    `void` | `setLineWidth(float lineWidth)` Sets the line width.
    `void` | `setLineWidth(java.lang.Float lineWidth)`

- - ### Field Detail

    - #### LINE_WIDTH_0

          static final java.lang.Float LINE_WIDTH_0

    - #### LINE_WIDTH_1

          static final java.lang.Float LINE_WIDTH_1

  - ### Method Detail

    - #### getStyleContainer

          JRStyleContainer getStyleContainer()

    - #### clone

          JRPen clone(JRPenContainer penContainer)

    - #### getLineWidth

          java.lang.Float getLineWidth()

      Gets the line width used for this pen.
      Returns:
        line width

    - #### getOwnLineWidth

          java.lang.Float getOwnLineWidth()

    - #### setLineWidth

          void setLineWidth(float lineWidth)

      Sets the line width.
      Parameters:
        `lineWidth` - the line width

    - #### setLineWidth

          void setLineWidth(java.lang.Float lineWidth)

    - #### getLineStyleValue

          LineStyleEnum getLineStyleValue()

      Indicates the line style used for this pen.
      Returns:
        a value representing one of the line style constants in `LineStyleEnum`

    - #### getOwnLineStyleValue

          LineStyleEnum getOwnLineStyleValue()

      Indicates the line style used for this pen.
      Returns:
        a value representing one of the line style constants in `LineStyleEnum`

    - #### setLineStyle

          void setLineStyle(LineStyleEnum lineStyleEnum)

      Specifies the line style.
      Parameters:
        `lineStyleEnum` - a value representing one of the line style constants in `LineStyleEnum`

    - #### getLineColor

          java.awt.Color getLineColor()

      Gets the line color.

    - #### getOwnLineColor

          java.awt.Color getOwnLineColor()

    - #### setLineColor

          void setLineColor(java.awt.Color color)

      Sets the line color.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com